add fedora-ds-base

git-svn-id: https://svn.disconnected-by-peer.at/svn/linamh/trunk/linamh@150 6952d904-891a-0410-993b-d76249ca496b
This commit is contained in:
geos_one 2007-08-07 22:14:40 +00:00
parent 42678a6883
commit ba738e7ba9
16 changed files with 395 additions and 0 deletions

View File

@ -0,0 +1,13 @@
#!/bin/bash
DATE=`date +%Y%m%d`
CVSTAG=HEAD
VERSION=1.1.0
PKGNAME=fedora-idm-console
export CVSROOT=:pserver:anonymous@cvs.fedora.redhat.com:/cvs/dirsec
cvs -d "$CVSROOT" -z3 export -r$CVSTAG -d $PKGNAME-$VERSION-$DATE fedora-idm-console
tar -cjf $PKGNAME-$VERSION-$DATE.tar.bz2 $PKGNAME-$VERSION-$DATE
rm -rf $PKGNAME-$VERSION-$DATE

View File

@ -0,0 +1,13 @@
#!/bin/bash
DATE=`date +%Y%m%d`
CVSTAG=HEAD
VERSION=1.1.0
PKGNAME=idm-console-framework
export CVSROOT=:pserver:anonymous@cvs.fedora.redhat.com:/cvs/dirsec
cvs -d "$CVSROOT" -z3 export -r$CVSTAG -d $PKGNAME-$VERSION-$DATE console
tar -cjf $PKGNAME-$VERSION-$DATE.tar.bz2 $PKGNAME-$VERSION-$DATE
rm -rf $PKGNAME-$VERSION-$DATE

View File

@ -0,0 +1,13 @@
#!/bin/bash
DATE=`date +%Y%m%d`
CVSTAG=HEAD
VERSION=1.1.0
PKGNAME=fedora-ds-admin
export CVSROOT=:pserver:anonymous@cvs.fedora.redhat.com:/cvs/dirsec
cvs -d "$CVSROOT" -z3 export -r$CVSTAG -d $PKGNAME-$VERSION-$DATE adminserver
tar -cjf $PKGNAME-$VERSION-$DATE.tar.bz2 $PKGNAME-$VERSION-$DATE
rm -rf $PKGNAME-$VERSION-$DATE

View File

@ -0,0 +1,12 @@
AUX adminutil-cvs.sh 320 RMD160 132dfd104651cf7688b5334810ff96f3d3be4477 SHA1 55ecc190c624f751cbf8a5fe67cf20f0bf266ef9 SHA256 d34cf024629eab1d74475634c826b41c5542818d5817a27c303463b15c5d399b
MD5 5d44c98ba10f5626af3b82e099cd94f0 files/adminutil-cvs.sh 320
RMD160 132dfd104651cf7688b5334810ff96f3d3be4477 files/adminutil-cvs.sh 320
SHA256 d34cf024629eab1d74475634c826b41c5542818d5817a27c303463b15c5d399b files/adminutil-cvs.sh 320
DIST adminutil-1.1.4-20070807.tar.bz2 308728 RMD160 57fa91fe81988edc1e12d93af25ff3a4bea6855d SHA1 df7b7944178663d1adf836a8524d70e9255f98c0 SHA256 61a578a0f1d78ea66a9c6390a8e44d7ec2162703f19b44e3aa3553b25f3119e3
EBUILD fedora-ds-adminutil-1.1.4.20070807.ebuild 1604 RMD160 461fa9093520db53ad260f0b0bde5409047036e6 SHA1 50c191d54c4916d4b137fa853635956f9123c13d SHA256 e975c69b9833bf88a25bb2c1659fbf5ee27e5447611fd32a973ef2b43a4d72c5
MD5 52c29caa0f16690acb081f17fa460e7a fedora-ds-adminutil-1.1.4.20070807.ebuild 1604
RMD160 461fa9093520db53ad260f0b0bde5409047036e6 fedora-ds-adminutil-1.1.4.20070807.ebuild 1604
SHA256 e975c69b9833bf88a25bb2c1659fbf5ee27e5447611fd32a973ef2b43a4d72c5 fedora-ds-adminutil-1.1.4.20070807.ebuild 1604
MD5 6e1642e99f7cb45b3f70c4c95754589f files/digest-fedora-ds-adminutil-1.1.4.20070807 277
RMD160 1a2471b6039d97adfaf5b1114a0f33de2a115aeb files/digest-fedora-ds-adminutil-1.1.4.20070807 277
SHA256 09505500b4cad6b1760cce98a236fafcdc1be3059c357b9b010a5854a5f1588f files/digest-fedora-ds-adminutil-1.1.4.20070807 277

View File

@ -0,0 +1,65 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
inherit eutils multilib versionator
MY_PV=$(replace_version_separator 3 '-')
DESCRIPTION="Fedora Directory Server (base)"
HOMEPAGE="http://directory.fedora.redhat.com/"
SRC_URI="ftp://mars.arge.at/fedora-ds/adminutil-${MY_PV}.tar.bz2"
LICENSE="GPL-2-with-exceptions"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="sasl ipv6 debug"
S="${WORKDIR}/adminutil-${MY_PV}"
DEPEND=">=dev-libs/nss-3.11.4
>=dev-libs/nspr-4.6.4
>=dev-libs/svrcore-4.0.3
>=dev-libs/mozldap-6.0.2
sasl? ( >=dev-libs/cyrus-sasl-2.1.19 )
>=dev-libs/icu-3.4"
src_unpack() {
unpack ${A}
}
src_compile() {
if use amd64 ; then
myconf="${myconf} --enable-64bit"
elif use sasl ; then
myconf="${myconf} --with-sasl=yes"
else
myconf=""
fi
econf $(use_enable debug) \
${myconf} \
--with-fhs \
|| die "econf failed"
emake || die "emake failed"
# --with-nspr=yes \
# --with-nss=yes \
# --with-ldapsdk=yes \
# --with-db=yes \
# --with-svrcore=yes \
# --with-icu=yes \
}
src_install () {
emake DESTDIR=${D} install || die "emake failed"
# remove redhat style init script
# rm -rf ${D}/etc/rc.d
# cope with libraries being in /usr/lib/fedora-ds
# dodir /etc/env.d
# echo "LDPATH=/usr/$(get_libdir)/fedora-ds" > ${D}/etc/env.d/08fedora-ds
}

View File

@ -0,0 +1,13 @@
#!/bin/bash
DATE=`date +%Y%m%d`
CVSTAG=HEAD
VERSION=1.1.4
PKGNAME=adminutil
export CVSROOT=:pserver:anonymous@cvs.fedora.redhat.com:/cvs/dirsec
cvs -d "$CVSROOT" -z3 export -r$CVSTAG -d $PKGNAME-$VERSION-$DATE adminutil
tar -cjf $PKGNAME-$VERSION-$DATE.tar.bz2 $PKGNAME-$VERSION-$DATE
rm -rf $PKGNAME-$VERSION-$DATE

View File

@ -0,0 +1,3 @@
MD5 22479358d513b102057169a6820fd9f8 adminutil-1.1.4-20070807.tar.bz2 308728
RMD160 57fa91fe81988edc1e12d93af25ff3a4bea6855d adminutil-1.1.4-20070807.tar.bz2 308728
SHA256 61a578a0f1d78ea66a9c6390a8e44d7ec2162703f19b44e3aa3553b25f3119e3 adminutil-1.1.4-20070807.tar.bz2 308728

View File

@ -0,0 +1,20 @@
AUX fedora-ds-cvs.sh 334 RMD160 5b7b1fe3361063165c458035955dc595d30a04af SHA1 a06beff606a4c6154a6b539eb6cc445cb80bb3b2 SHA256 68a5a8c4f671d43ab035b55ffb86ccf7687dfce135b6ab5db2d47de56a789881
MD5 4bbbc1796223b2e91144efcd447bd30a files/fedora-ds-cvs.sh 334
RMD160 5b7b1fe3361063165c458035955dc595d30a04af files/fedora-ds-cvs.sh 334
SHA256 68a5a8c4f671d43ab035b55ffb86ccf7687dfce135b6ab5db2d47de56a789881 files/fedora-ds-cvs.sh 334
AUX fedora-ds.confd 72 RMD160 d5478a77018aeb727ba72217d3e67af3dcd669c9 SHA1 006d238cd3fd31b9019a2a1e5bff250192b05a91 SHA256 62d68e8ab4b2b1342a3418e6b067a99345a2806ec1575f6d49cd6c0d1cbb17bc
MD5 3afe86800d3b998af3d1ef2f7eebe9dd files/fedora-ds.confd 72
RMD160 d5478a77018aeb727ba72217d3e67af3dcd669c9 files/fedora-ds.confd 72
SHA256 62d68e8ab4b2b1342a3418e6b067a99345a2806ec1575f6d49cd6c0d1cbb17bc files/fedora-ds.confd 72
AUX fedora-ds.initd 2388 RMD160 a6cac204c39883ebbb22b41fa635d50387d00dae SHA1 f1383bbf93b4297e3133cb9179f2ffd34441957d SHA256 3098a6281d17b882f41174ecabecb45a6c67559ce7d439653559d8102e230c6e
MD5 8bb8765100c5ccc17793fe52d4262c91 files/fedora-ds.initd 2388
RMD160 a6cac204c39883ebbb22b41fa635d50387d00dae files/fedora-ds.initd 2388
SHA256 3098a6281d17b882f41174ecabecb45a6c67559ce7d439653559d8102e230c6e files/fedora-ds.initd 2388
DIST fedora-ds-1.1.0-20070807.tar.bz2 2766494 RMD160 1b9af290fc4f1e8284c07963a5288ca626e46d49 SHA1 eae2e7520d423723122f3e2efee1775a5f893f0a SHA256 3e2e5be7748b6258dcd6de175a25acd0883843763c930f8c14e7106973f0dcbc
EBUILD fedora-ds-base-1.1.0.20070807.ebuild 2030 RMD160 8254e9e4c85d558d73b635180e4f9e2cb0779185 SHA1 b5c7c5b4085f73225630cc4d3b54c65df8c4eabb SHA256 231922affae7ef0b54f69417e64fe207fb97a60f3f7a550b93ee463451a760cd
MD5 76e27da1e0ecee64cecccde8a89bfba1 fedora-ds-base-1.1.0.20070807.ebuild 2030
RMD160 8254e9e4c85d558d73b635180e4f9e2cb0779185 fedora-ds-base-1.1.0.20070807.ebuild 2030
SHA256 231922affae7ef0b54f69417e64fe207fb97a60f3f7a550b93ee463451a760cd fedora-ds-base-1.1.0.20070807.ebuild 2030
MD5 adc03ba7e9e19b81279d1b4181cc57bf files/digest-fedora-ds-base-1.1.0.20070807 280
RMD160 f404f26dd26a1b7aea6ec24c16b62656b8fde0fc files/digest-fedora-ds-base-1.1.0.20070807 280
SHA256 6a482bd23798db1cde65627da530ae2e4dccabd5f9f62552113f526087f52640 files/digest-fedora-ds-base-1.1.0.20070807 280

View File

@ -0,0 +1,77 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
inherit eutils multilib versionator
MY_PV=$(replace_version_separator 3 '-')
DESCRIPTION="Fedora Directory Server (base)"
HOMEPAGE="http://directory.fedora.redhat.com/"
SRC_URI="ftp://mars.arge.at/fedora-ds/fedora-ds-${MY_PV}.tar.bz2"
LICENSE="GPL-2-with-exceptions"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="sasl snmp ipv6 debug"
S="${WORKDIR}/fedora-ds-${MY_PV}"
DEPEND=">=dev-libs/nss-3.11.4
>=dev-libs/nspr-4.6.4
>=dev-libs/svrcore-4.0.3
>=dev-libs/mozldap-6.0.2
sasl? ( >=dev-libs/cyrus-sasl-2.1.19 )
>=dev-libs/icu-3.4
>=sys-libs/db-4.2.52
snmp? ( >=net-analyzer/net-snmp-5.1.2 )
sys-apps/lm_sensors
app-arch/bzip2
dev-libs/openssl
sys-apps/tcp-wrappers
sys-libs/pam
sys-libs/zlib"
src_unpack() {
unpack ${A}
}
src_compile() {
if use amd64 ; then
myconf="${myconf} --enable-64bit"
elif use sasl ; then
myconf="${myconf} --with-sasl=yes"
elif use snmp ; then
myconf="${myconf} --netsnmp=yes"
else
myconf=""
fi
econf $(use_enable debug) \
${myconf} \
--with-fhs \
|| die "econf failed"
emake || die "emake failed"
# --with-nspr=yes \
# --with-nss=yes \
# --with-ldapsdk=yes \
# --with-db=yes \
# --with-svrcore=yes \
# --with-icu=yes \
}
src_install () {
emake DESTDIR=${D} install || die "emake failed"
# remove redhat style init script and install gentoo style
rm -rf ${D}/etc/rc.d
newinitd ${FILESDIR}/fedora-ds.initd fedora-ds
newconfd ${FILESDIR}/fedora-ds.confd fedora-ds
# cope with libraries being in /usr/lib/fedora-ds
dodir /etc/env.d
echo "LDPATH=/usr/$(get_libdir)/fedora-ds" > ${D}/etc/env.d/08fedora-ds
}

View File

@ -0,0 +1,3 @@
MD5 88de4b2899df73777cb27eff31a69d1a fedora-ds-1.1.0-20070807.tar.bz2 2766494
RMD160 1b9af290fc4f1e8284c07963a5288ca626e46d49 fedora-ds-1.1.0-20070807.tar.bz2 2766494
SHA256 3e2e5be7748b6258dcd6de175a25acd0883843763c930f8c14e7106973f0dcbc fedora-ds-1.1.0-20070807.tar.bz2 2766494

View File

@ -0,0 +1,13 @@
#!/bin/bash
DATE=`date +%Y%m%d`
CVSTAG=FedoraDirSvr110a4
VERSION=1.1.0
PKGNAME=fedora-ds
export CVSROOT=:pserver:anonymous@cvs.fedora.redhat.com:/cvs/dirsec
cvs -d "$CVSROOT" -z3 export -r$CVSTAG -d $PKGNAME-$VERSION-$DATE ldapserver
tar -cjf $PKGNAME-$VERSION-$DATE.tar.bz2 $PKGNAME-$VERSION-$DATE
rm -rf $PKGNAME-$VERSION-$DATE

View File

@ -0,0 +1,2 @@
# the instances that have been configured with setup-ds.pl
INSTANCES=""

View File

@ -0,0 +1,109 @@
#!/sbin/runscript
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
exec="/usr/sbin/ns-slapd"
# PID directory
piddir="/var/run/fedora-ds"
# Instance basedir
instbase="/etc/fedora-ds"
# Empty Instances List
FDSINSTANCES=""
depend() {
need net
use dns
}
checkconfig() {
if [ -z "$INSTANCES" ] ; then
eerror "Fedora Directory Server has not been configured."
eend 1
return 1
elif [ -n "$INSTANCES" ] ; then
for INST in $INSTANCES ; do
if [ ! -d "$instbase/slapd-$INST" ] ; then
eerror "Instance $INST has not been configured."
eend 1
return 1
fi
done
fi
}
start() {
checkconfig || return 1
for inst in $INSTANCES ; do
if [ -d "$instbase/slapd-$INST" ] ; then
FDSINSTANCES="$FDSINSTANCES $inst"
fi
done
einfo "Starting Fedora DS"
eend 0
for instance in $FDSINSTANCES ; do
ebegin "Starting Instance $instance"
start-stop-daemon --start --quiet \
--pidfile $piddir/slapd-$instance.pid \
--exec $exec -- -D $instbase/slapd-$instance \
-i $piddir/slapd-$instance.pid -w $piddir/slapd-$instance.startpid
eend $?
done
}
stop() {
checkconfig || return 1
for inst in $INSTANCES ; do
if [ -d "$instbase/slapd-$INST" ] ; then
FDSINSTANCES="$FDSINSTANCES $inst"
fi
done
einfo "Stopping Fedora DS"
eend 0
for instance in $FDSINSTANCES ; do
ebegin "Stopping Instance $instance"
start-stop-daemon --stop --quiet \
--pidfile $piddir/slapd-$instance.pid \
--exec $exec
eend $?
done
}
restart() {
svc_stop
svc_start
}
status() {
for instance in $INSTANCES; do
if [ -e $piddir/slapd-$instance.pid ]; then
pid=$(cat $piddir/slapd-$instance.pid)
if [ $(echo "$pids" | grep -c $pid) -ge 1 ]; then
einfo "$prog $instance (pid $pid) is running..."
else
ewarn "$prog $instance dead but pid file exists"
fi
else
eerror "$prog $instance is stopped"
fi
done
}
#if [ -n "$2" ]; then
# for I in $INSTANCES; do
# if [ "$2" = "$I" ]; then
# INSTANCES="$2"
# fi
# done
# if [ "$2" != "$INSTANCES" ]; then
# echo -n "$2 is an invalid fedora-ds instance"
# failure; echo
# exit 1
# fi
#fi

View File

@ -0,0 +1,13 @@
#!/bin/bash
DATE=`date +%Y%m%d`
CVSTAG=HEAD
VERSION=1.1.0
PKGNAME=fedora-ds-console
export CVSROOT=:pserver:anonymous@cvs.fedora.redhat.com:/cvs/dirsec
cvs -d "$CVSROOT" -z3 export -r$CVSTAG -d $PKGNAME-$VERSION-$DATE directoryconsole
tar -cjf $PKGNAME-$VERSION-$DATE.tar.bz2 $PKGNAME-$VERSION-$DATE
rm -rf $PKGNAME-$VERSION-$DATE

View File

@ -0,0 +1,13 @@
#!/bin/bash
DATE=`date +%Y%m%d`
CVSTAG=HEAD
VERSION=1.0
PKGNAME=mod_admserv
export CVSROOT=:pserver:anonymous@cvs.fedora.redhat.com:/cvs/dirsec
cvs -d "$CVSROOT" -z3 export -r$CVSTAG -d $PKGNAME-$VERSION-$DATE mod_admserv
tar -cjf $PKGNAME-$VERSION-$DATE.tar.bz2 $PKGNAME-$VERSION-$DATE
rm -rf $PKGNAME-$VERSION-$DATE

View File

@ -0,0 +1,13 @@
#!/bin/bash
DATE=`date +%Y%m%d`
CVSTAG=HEAD
VERSION=1.0
PKGNAME=mod_nss
export CVSROOT=:pserver:anonymous@cvs.fedora.redhat.com:/cvs/dirsec
cvs -d "$CVSROOT" -z3 export -r$CVSTAG -d $PKGNAME-$VERSION-$DATE mod_nss
tar -cjf $PKGNAME-$VERSION-$DATE.tar.bz2 $PKGNAME-$VERSION-$DATE
rm -rf $PKGNAME-$VERSION-$DATE